Displaying 1 result from an estimated 1 matches for "return_to_menu".
2009 Jun 18
1
[PATCH node] Users can view log files on the node. bz#506289
...+1,37 @@
+#!/bin/bash
+#
+
+. /etc/init.d/ovirt-functions
+
+ME=$(basename "$0")
+warn() { printf '%s: %s\n' "$ME" "$*" >&2; }
+die() { warn "$*"; exit 1; }
+
+trap '__st=$?; stop_log; exit $__st' 0
+trap 'exit $?' 1 2 13 15
+
+RETURN_TO_MENU="Return To Menu"
+
+OPTIONS[${#OPTIONS[*]}]="/var/log/ovirt.log"
+OPTIONS[${#OPTIONS[*]}]="$RETURN_TO_MENU"
+
+while true; do
+ printf "\nPlease select a log file to view.\n\n"
+ PS3="Please select a log to view: "
+ select OPTION in "...